Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableMiterLimit Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableMiterLimit:
[legend]
Collaboration diagram for Magick::DrawableMiterLimit:
[legend]

## Public Member Functions
| DrawableMiterLimit (size_t miterlimit_)
| ~DrawableMiterLimit (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | miterlimit (size_t miterlimit_)
size_t | miterlimit (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1830 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableMiterLimit()

Magick::DrawableMiterLimit::DrawableMiterLimit | ( | size_t | miterlimit_ | ) |
| inline

Definition at line 1833 of file Drawable.h.

## ◆ ~DrawableMiterLimit()

Magick::DrawableMiterLimit::~DrawableMiterLimit | ( | void |  | ) |

Definition at line 1313 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableMiterLimit::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1321 of file Drawable.cpp.

## ◆ miterlimit() [1/2]

void Magick::DrawableMiterLimit::miterlimit | ( | size_t | miterlimit_ | ) |
| inline

Definition at line 1845 of file Drawable.h.

## ◆ miterlimit() [2/2]

size_t Magick::DrawableMiterLimit::miterlimit | ( | void |  | ) | const
| inline

Definition at line 1849 of file Drawable.h.

## ◆ operator()()

void Magick::DrawableMiterLimit::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1317 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp